Bug 81547 - wacom usb tablet uses wrong screen borders
Summary: wacom usb tablet uses wrong screen borders
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: MoveUpstream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-10 11:13 UTC by wouter van wijk
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-17 10:04:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wouter van wijk 2003-01-10 11:13:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
The Wacom USB tablet gets installed correctly, but when using it, sometimes you
can't reach the whole screen with the cursor. It just doesn't want to move to
the edge of the screen. It occurs on all screen edges (top, bottom, left, right).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use the (auto-detected) Wacom USB tablet alongside with another
USB-pointing-device.
2. Just go pointing-and-clicking.
3. see the result
    

Actual Results:  The cursor sometimes doesn't want to move to the edge of the
screen. It occurs on all screen edges (top, bottom, left, right). It's quite
annoying. The solution is simple though: move the cursor to the other side of
the screen, and then move it back to the problem-border. Then you can indeed
move it to the edge of the screen.


Expected Results:  The cursor should reach all edges.

Additional info:

I think it doesn't use the correct screen size or borders, maybe it has
something to do with a simultaniously connected USB-mouse.

Comment 1 Bill Nottingham 2003-01-10 15:25:26 UTC
This is probably either an X input driver bug, or a kernel driver bug.

Comment 2 wouter van wijk 2003-01-11 11:00:52 UTC
It certainly has something to do with another mouse being connected. I get the
behaviour almost only then. It occurs with a PS/2 or an USB mouse.

Comment 3 Mike A. Harris 2003-01-15 12:07:44 UTC
Does this occur if you disable gpm, and fresh reboot your system without
gpm?

Comment 4 wouter van wijk 2003-01-16 11:42:36 UTC
Yes, it also occurs without gpm. It seems to occur less ferquently, but I'm not
totally sure about that.

Comment 5 Mike A. Harris 2003-04-11 10:14:57 UTC
Debugging/troubleshooting this problem requires first being able to
reproduce the problem, which requires having the exact hardware that is
causing the problem first.  I don't have access to this hardware, so
I'm not going to be able to try and reproduce it, nor to debug or
troubleshoot it.

Your best bet is reporting this problem upstream in XFree86 bugzilla,
at http://bugs.xfree86.org so that the official driver maintainer can
investigate this matter further as they've also likely got the hardware,
it's specifications, and detailed knowledge of the operation of the
device.  We unfortunately do not have any of that.

Changing bug status to UPSTREAM



Comment 6 Mike A. Harris 2003-07-17 10:04:37 UTC
Processing UPSTREAM flagged bug reports for upstream fixes currently, and see
this bug was flagged upstream but has no upstream bug URL, and I was unable
to find an upstream bug report of this issue in XFree86 bugzilla located at:

    http://bugs.xfree86.org

Closing bug report as WONTFIX as I'm unable to track upstream until a bug
report has been filed upstream, and the URL provided for tracking.  If this
issue is still relevant in the latest XFree86 packages in rawhide, after
reporting upstream at http://bugs.xfree86.org, feel free to add the bug
report URL to this report and reopen if you'd like the issue to be tracked
and any fixes from upstream investigated for inclusion in future Red Hat
XFree86 updates.

Thanks.




Note You need to log in before you can comment on or make changes to this bug.